Skip to main content
POST
https://ageneral.ai
/
v1
/
nodes
Create node
curl --request POST \
  --url https://ageneral.ai/v1/nodes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "planId": "<string>",
  "name": "<string>",
  "location": "<string>",
  "providerToken": "<string>",
  "directSecrets": true
}
'
{
  "node": {
    "id": "<string>",
    "userId": "<string>",
    "projectId": "<string>",
    "status": "<string>",
    "name": "<string>",
    "identifier": "<string>",
    "publicIp": "<string>",
    "directSecrets": true,
    "connectors": [
      "<string>"
    ],
    "openclawConfig": {},
    "createdAt": "<string>",
    "operatingSystem": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session JWT or node identity token where applicable. Send as Authorization: Bearer <token>.

Body

application/json
projectId
string
required
planId
string
required
name
string
location
string
providerToken
string
directSecrets
boolean

Response

Success

node
object

Node resource. Additional fields may appear beyond those listed.